Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MatchFieldDef.PhoneticEncodersConfig

    java.lang.Object
      com.sun.mdm.index.parser.MatchFieldDef.PhoneticEncodersConfig

Enclosing class:
  MatchFieldDef

public class MatchFieldDef.PhoneticEncodersConfig
extends java.lang.Object

Field Summary
`(package private) java.util.ArrayList` | `alEncoders`
`(package private) java.lang.String` | `moduleName`
`(package private) java.lang.String` | `parserClass`

Constructor Summary
`MatchFieldDef.PhoneticEncodersConfig(java.lang.String moduleName, java.lang.String parserClass)`

Method Summary
`void` | `addEncoder(MatchFieldDef.Encoder encoder)`
`void` | `addEncoder(java.lang.String encodingType, java.lang.String encoderImplementationClass)`
`void` | `deleteEncoderByEncodingType(java.lang.String encodingType)`
`MatchFieldDef.Encoder` | `getEncoderByEncodingType(java.lang.String encodingType)`
`java.util.ArrayList` | `getEncoders()`
`void` | `setEncoders(java.util.ArrayList alEncoders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alEncoders

    java.util.ArrayList alEncoders

### moduleName

    java.lang.String moduleName

### parserClass

    java.lang.String parserClass

Constructor Detail

### MatchFieldDef.PhoneticEncodersConfig

    public MatchFieldDef.PhoneticEncodersConfig(java.lang.String moduleName,
                                                java.lang.String parserClass)

Method Detail

### addEncoder

    public void addEncoder(MatchFieldDef.Encoder encoder)

### addEncoder

    public void addEncoder(java.lang.String encodingType,
                           java.lang.String encoderImplementationClass)

### deleteEncoderByEncodingType

    public void deleteEncoderByEncodingType(java.lang.String encodingType)

### getEncoderByEncodingType

    public MatchFieldDef.Encoder getEncoderByEncodingType(java.lang.String encodingType)

### getEncoders

    public java.util.ArrayList getEncoders()

### setEncoders

    public void setEncoders(java.util.ArrayList alEncoders)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.